"""
Evaluates GLiNER as SotA (NER). This is mostly useful for demonstrating dataset shortcomings.
NEC evaluation for GLiNER is part of /NEC_evaluation.
"""

from src.metrics import NER_metrics, read_NER_metrics

for dataset in ["CoNLL", "FIGER-coarse", "FIGER-fine"]:
    # NER_metrics("GLiNER", dataset, f"results_{dataset}", test_instances=1000)
    print(f"\nResults {dataset}:")
    read_NER_metrics(f"results_{dataset}")
