"""
Evaluates LLMs on the NER task.
"""
from src.metrics import NER_metrics, read_NER_metrics


def run_test():
    models = ["Llama-3.1-8B", "DeepSeek-R1-Distill-Qwen-32B"]
    datasets = ["CoNLL"]

    for model in models:
        for dataset in datasets:
            NER_metrics(model, dataset, results_dir="results", test_instances=100)


# run_test()
read_NER_metrics("results")
