from src.models.Word2Vec import train
import data.data_manager as data_manager

working_datasets = ["Pile-NER-type", "CoNLL"]

for dataset in working_datasets:
    print(dataset + ":")
    data = data_manager.get_annotated_sentences(dataset, test_instances=1000000000)
    print(len(data))
    sentences = [item[0][0] for item in data]
    train(sentences)
