#!/bin/bash

#SBATCH --ntasks=1
#SBATCH --time=24:00:00
#SBATCH --mem=32gb
#SBATCH --job-name=finetune_T5_MLM_entity
#SBATCH --gres=gpu:1
#SBATCH --partition=gpu_4_a100
#SBATCH --output=logs/finetune_T5_MLM_entity_%j.txt

conda activate fsem

export PYTHONUNBUFFERED=1
python -m src.experiments.finetune_T5.finetune_T5_MLM_entity
