#!/bin/bash

#SBATCH --job-name=finetune_T5_MLM_entity
#SBATCH --output=logs/finetune_T5_MLM_entity_%j.txt
#SBATCH --ntasks=1
#SBATCH --time=24:00:00
#SBATCH --mem=8000
#SBATCH --mail-type=ALL
#SBATCH --mail-user=kupper@cl.uni-heidelberg.de
#SBATCH --partition=students
#SBATCH --cpus-per-task=4
#SBATCH --qos=batch
#SBATCH --gres=gpu

export PYTHONUNBUFFERED=1
srun python3 -m src.experiments.finetune_T5.finetune_T5_MLM_entity
