{ pkgs ? import <nixpkgs> { } }:
let
  myPythonPackages = ps: with ps; [
    pip
  ];
in pkgs.mkShell {
  buildInputs = with pkgs; [
    (python3.withPackages myPythonPackages)
  ];
  shellHook = ''
    export LD_LIBRARY_PATH=$NIX_LD_LIBRARY_PATH
    python -m venv .venv
    source .venv/bin/activate
    zsh
  '';
}
