"""
Retrieves and displays data from each database.
"""
import data.data_manager as data_manager

working_datasets = ["Pile-NER-type", "CoNLL", "FIGER-coarse", "FIGER-fine"]

for dataset in working_datasets:
    print(dataset + ":")
    labels = data_manager.get_labels(dataset)
    data = data_manager.get_annotated_sentences(dataset, 99999999)

    print("First (up to) ten labels: " + str(labels[:10]))
    print("Number of distinct labels: " + str(len(labels)))
    print("Number of sentences: " + str(len(data)))
    print("Example sentence with annotation: " + str(data[:1]))
    print("\n")
